Pave Bank
Transfer

Account Transfer

Initiates a transfer between legal entity's accounts.

Example Account Transfer

curl --request POST \
  --url https://api.pavebank.com/v1/transfer/account \
  --header 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
  --header 'Content-Type: application/json' \
  --header 'Idempotency-Key: YOUR_IDEMPOTENCY_KEY'
  --data '{
    "amount": "10000",
    "description": "This API transfers money between accounts within the legal entity",
    "destination_iban":"<DESTINATION_IBAN>",
    "source_iban":"<SOURCE_ACCOUNT_IBAN>"
  }'
POST
/v1/transfer/account

Authorization

AuthorizationRequiredBearer <token>

Enter your token in the format: Bearer {token}

In: header

Request Body

application/jsonOptional
amountRequiredstring

The amount of money. Our API expect amount values to be in minor units - the smallest unit of a currency depending on the number of decimals. For example, USD has two decimals. So $10 is represented by 1000. JPY has no decimals, so ¥10 is 10.

descriptionRequiredstring
destination_ibanRequiredstring
source_ibanRequiredstring

Response Body

Success response

transaction_idRequiredstring
curl -X POST "https://developer-api-staging.pavebank.dev/v1/transfer/account" \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{
    "amount": "string",
    "description": "string",
    "destination_iban": "string",
    "source_iban": "string"
  }'
{
  "transaction_id": "string"
}